Bug 19201 - Oracle Enterprise Edition on RedHat 7.0.
Oracle Enterprise Edition on RedHat 7.0.
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Need Real Name
Depends On:
  Show dependency treegraph
Reported: 2000-10-16 16:18 EDT by Need Real Name
Modified: 2007-03-26 23:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-21 21:09:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-16 16:18:50 EDT
bug report regarding Oracle Enterprise Edition on RedHat 7.0.

Operating System	: RedHat 7.0
Oracle Version		: Oracle Enterprise Edition
Hardware		: x86 (P-III 633, 128 Mb Ram, 8Gb IDE)

Updates Applied		: glibc-2.1.94-3.i386.rpm

Unable to start the Oracle database server after installation
is complete.

The Oracle 8.1.6 installation goes through smoothly including copying of
files and the linking process.

However when the new database creation program starts up, the server
manager (svrmgrl) starts dumping core.

This is not a JDK problem, as I have made the Oracle installer write to a
shell script and then tried to execute the shell script from the command
prompt. We have the same problem.

Oracle support claims that there is a bug with the RedHat glibc in 7.0.

If it would help, we can send core files.
Comment 1 Perry Harrington 2000-12-07 04:24:56 EST
using strace and ltrace can reveal a lot about where the program is dumping.
Comment 2 Allen Marshall 2001-01-18 14:28:21 EST
See Bug 18391 which has similar problems.  Generally, the glibc version shipped with RH7 cannot be used by the Oracle 8.1.(5,6,7 ?) Universal Installer.
Comment 3 Need Real Name 2001-02-07 21:21:01 EST
The "Fix" from the other bug report lets oracle works, but try getting anything else to run is a joke.  You can spend all day downloading Oracle 9i AS and 
it may compile alright, and you may be able to do the fix, but the actually forms and java processes seem to barf.

Is the *only* supported fix to go back to RedHat 6.2? That doesn't make sense from the business perspective since it isn't kernel 2.4 compatible and you 
know anyone running a database wants to make use of the journaling file systems, logical volume managers and the stable 2.4.1 raid kernel.  RedHat 6.2 
just doesn't offer that.

I'm personally trying to get Applications 11i (11.5.2) to install. I was able to get the database to load by hacking it to use the glibc compat to compile 
against, but the rapidwiz quickly failed afterwards when trying to run the tools cd install. 

Is there anything i can do to help solve this issue?  Redhat is redhat, and things should be forward compatible, especially when you buy RedHat 7.0 as a 
server, i can understand the workstation version having its quirks.

Is there anyway to update the libc's or work through this without hacking it up?
Comment 4 Ulrich Drepper 2003-04-21 21:09:16 EDT
Oracle code violates ABI rules left and right.  It can break at any time and
likely every time a major glibc change is added.  There is nothing left to do
but to pester Oracle to fix their code or use exactly the binary releasess they
were using in their QA.  For longer lifetimes you can use Red Hat Advanced
Server which has a certified Oracle version.  Otherwise you can only hope that
the next release won't hit yet another of Oracle's bugs.

For some of the problems (like object file portability) Oracle has some
workarounds but nothing will fully cure the problems unless they follow the ABI.

I will close the bug.  There is nothing we can do for the old code and there are
RHL versions after 7.0 which support Oracle.

Note You need to log in before you can comment on or make changes to this bug.